# Lappa ORM

[![Join Discord](https://img.shields.io/badge/discord-join-7289DA.svg)](https://discord.gg/3wcx5rK)

### What is Lappa ORM?
Lappa ORM is a object relational mapper for .NET written in C# (.NET Standard) released under the MIT License.

### .NET compatibility:
- .NET Standard 2.1

### Supported databases:
- MySQL
- MSSQL
- SQLite
- PostgreSql (experimental)

### MySQL connectors (NuGet package or dll file):
- https://github.com/mysql-net/MySqlConnector (A fresh, clean & fully async ADO.NET MySQL connector, **recommended**, MIT licensed)
- http://dev.mysql.com/downloads/connector/net/8.0.html (The official ADO.NET MySQL connector, *supported*, GPL 2 licensed)

### MSSql support (NuGet package, included by default):
- https://www.nuget.org/packages/System.Data.SqlClient (Supported version: Latest)

### SQLite support (NuGet package):
- https://github.com/aspnet/Microsoft.Data.Sqlite (Supported version: Latest)

### PostgreSql support (NuGet package or dll file):
- http://www.npgsql.org/doc/index.html (Supported version: Latest)
